function folderStartup(){
	jDesktop.StartApp(
	$.system.md5('folder'), //just hashed it so nobody else takes it :P
	'Folder Browser',	//title
	'',			// no js dependencies
	'apps/folder/app.css',			// no css dependencies
	'apps/folder/app.html',
	{
		resizable: true,
		minimizable: true,
		movable: true,
		closable: true,
		scrollBody: true
	},function(){
		folderRefresh($.file.cwd()+'home\\root\\');
		$('.dir').bind('click',folderOpen);
		$.window.container($.system.md5('folder')).find('.pathbarsubmit').bind('click',function(){folderRefresh()});
		$.window.container($.system.md5('folder')).find('.pathbarUp').bind('click',function(){folderUp()});
	});
}
function folderRefresh(folderpath){
	if(!folderpath){
		folderpath = $.window.container($.system.md5('folder')).find('.pathbar').val();
		var folder = $.file.list(folderpath);
	}else
		var folder = $.file.list(folderpath);
	if(folderpath.lastIndexOf($.system.OSslash)!=folderpath.length-1)
		folderpath = folderpath+$.system.OSslash;
	$.window.container($.system.md5('folder')).find('.folderContainer').removeChildren();
	var item = new Object();
	for(var x=0;x<folder.length;x++){
		if($.file.type(folderpath+folder[x])){
			item = document.createElement('div');
			item.setAttribute('class',$.file.type(folderpath+folder[x])+' folderElement');
			item.style.background = 'url(apps/folder/icons/'+$.file.type(folderpath+folder[x])+'.png) no-repeat';
			if(x==0)
				item.setAttribute('class',item.className+' folderElementFirst');
			item.innerHTML = folder[x];
			$('.folderContainer').appendChild(item);
		}
	}
	$.window.container($.system.md5('folder')).find('.pathbar').val(folderpath);
	$('.dir').bind('click',folderOpen);
}
function folderUp(){
	path = $.window.container($.system.md5('folder')).find('.pathbar').val();
	if(path.lastIndexOf($.system.OSslash)+1!=path.length)
		path = path.substring(0,path.lastIndexOf($.system.OSslash)+1);
	else{
		path = path.substring(0,path.length-1);
		path = path.substring(0,path.lastIndexOf($.system.OSslash)+1);
	}
	folderRefresh(path);
}
function folderOpen(){
	path = $.window.container($.system.md5('folder')).find('.pathbar').val();
	path = path+this.innerHTML+'\\';
	folderRefresh(path);
}