function tasksStartup(){
	jDesktop.StartApp(
	$.system.md5('tasks'), //just hashed it so nobody else takes it :P
	'Task Manager',	//title
	'',			// no js dependencies
	'',			// no css dependencies
	'',
	{
		resizable: true,
		minimizable: true,
		movable: true,
		closable: true,
		onClose: function(){
			$.task.end('task_mgr_refresh');
		}
	},function(){
		var task = new Task();
			task.app = 'Tasks';
			task.id = 'task_mgr_refresh';
			task.name = 'Task Manager';
			task.interrupt = 1000;
			task.onstart = tasksRefresh;
			task.onexec = tasksRefresh;
			task.onend = function(){
				$.window.container($.system.md5('tasks')).removeChildren();
			};
			task.system_call = $.system.HASH;
		task.init();
			task.start();
	});
}
function tasksRefresh(){
	var win = $.window.container($.system.md5('tasks'));
	win.removeChildren();
	var content = '<table style="width:100%"><thead style="font-weight:bold;"><th style="text-align:left;">Task Name</th><th style="text-align:center;">App</th><th style="text-align:right;">Options</th></thead><tbody>';
	var i = new String();
	for(var x=0;x<$.task.tasks.length;x++){
		if($.system.permission('tasks')){
			i = "<td style='text-align:right;'><a onclick='tasksPermissions(\""+$.task.tasks[x].app+"\")'>Permission</a>&nbsp;&nbsp;<a onclick='$.task.end(\""+$.task.tasks[x].id+"\")'>end task</a></td>";
		}else
			i = '<td></td>';
		content = content+'<tr><td>'+$.task.tasks[x].name+'</td><td style="text-align:center;">'+$.task.tasks[x].app+'</td>'+i+'</tr>';
	}
	win.html(content+'</tbody></table>');
}
function tasksPermissions(app){
	var x = 0;
	while(x<$.apps.length && $.apps[x]!=app){
		x++;
	}
	if(--x==$.apps.length)
		x = false;
	if(x!=false){
		var i = confirm('Task Manager:\nGive '+app+' full permissions?');
		$.permissions[x] = i;
	}
}