// secure this system from apps accidentally calling commands they shouldn't
// recommended that the string be changed on each system
$.system.HASH = $.system.md5('HASH');
//sets the slash seperator correctly
if($.system.OSname()=='Win')
	$.system.OSslash = '\\';
else
	$.system.OSslash = '/';
//settings object
;(function($){	
	$.extend({
		settings:{
			// array of setting types
			settings: new Array(),
			//returns an object with two parts, one is the settings names, the other is the settings values
			getSettings: function(){
				var content = $.file.read($.file.cwd()+'home/root/settings');
				content = content.split("\n");
				var setting = new Array();
				var value = new Array();
				var tmp = new Array();
				for(var x=0;x<content.length;x++){
					tmp = content[x].split(':');
					setting[setting.length] = tmp[0];
					value[value.length] = tmp[1];
				}
				var set = new Settings();
				set.setting = setting;
				set.value = value;
				return set;
			},
			// sets the settings contained in the object
			setSettings: function(obj,system_call){
				var i = 0;	
				for(var x=0;x<obj.setting.length;x++){
					$.system.alert(obj.setting[x]+': '+obj.value[x]);
					eval("$.settings."+obj.setting[x]+"="+obj.value[x]);
					i = 0;
					while(i<$.settings.settings.length && $.settings.settings[i]!=obj.setting[x]){
						i++;
					}
					if(i==$.settings.settings.length)
						$.settings.settings[$.settings.settings.length] = obj.setting[i];
				}
				if(system_call!=$.system.HASH && -1!=obj.setting.join(' ').indexOf('background') && -1!=obj.setting.join(' ').indexOf('theme')){
					$.settings.setBackground($.settings.background);
					$.window.theme($.settings.theme);
				}
				$.settings.saveSettings();
			},
			// saves the settings to the settings file
			saveSettings: function(){
				var settings = new String();
				for(var x=0;x<$.settings.settings.length;x++){
					settings = settings+$.settings.settings[x]+": \""+eval("$.settings."+$.settings.settings[x])+"\"\n";
				}
				settings = settings.substring(0,settings.length-1);
				$.file.write($.file.cwd()+'home/root/settings',settings);
			},
			//sets the background and refreshes it quickly
			setBackground: function(path){
				$.settings.background = path;
				$('#main').fadeTo("slow",0,function(){
					$('#main').css({'background-image': 'url('+path+')'});
					$('#main').fadeTo("slow",100);
				});
			},
		}
	});
})(jQuery);
//settings object
function Settings(){
	this.add = function(setting,value){
		this.setting[this.setting.length] = setting;
		this.value[this.value.length] = "\""+value+"\"";
	}
	this.setting = new Array();
	this.value = new Array();
}